#                                               -*- Autoconf -*-
# Process this file with autoconf to produce a configure script.

AC_PREREQ(2.57)
# AC_INIT(FULL-PACKAGE-NAME, VERSION, BUG-REPORT-ADDRESS)
AC_INIT([socket-Beispiele],[1.0],[bell@informatik.hu-berlin.de])
AM_INIT_AUTOMAKE
# AC_CONFIG_SRCDIR([su_sock.c])
# AC_CONFIG_HEADER([config.h])

# Checks for programs.
AC_PROG_CC

# Checks for libraries.

# Checks for header files.
AC_HEADER_STDC
AC_CHECK_HEADERS([arpa/inet.h netdb.h netinet/in.h string.h sys/socket.h])

# Checks for typedefs, structures, and compiler characteristics.
AC_C_CONST

# Checks for library functions.
AC_FUNC_FORK
AC_CHECK_FUNCS([bzero gethostbyaddr gethostbyname inet_ntoa socket])

AC_CONFIG_FILES([Makefile])
AC_OUTPUT
